UserDefinedTrackLayout (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.tracklayout.UserDefinedTrackLayout class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence.tracklayout
Class UserDefinedTrackLayout

    java.lang.Object
      org.biojava.bio.gui.sequence.tracklayout.UserDefinedTrackLayout

All Implemented Interfaces:
  TrackLayout

    public class UserDefinedTrackLayout

extends Object
implements TrackLayout

An implementation of TrackLayout that that wraps a sequence over an arbitrary set of ranges

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`UserDefinedTrackLayout(RangeLocation[] ranges)`

Method Summary
`RangeLocation[]` | `getRanges()`
`int` | `getWrap()`
`int` | `getWrapIncrement()`
`void` | `setRange(RangeLocation loc)`
`void` | `setSequence(Sequence seq)`
`void` | `setWrap(int wrap)`
`void` | `setWrapIncrement(int inc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDefinedTrackLayout

    public UserDefinedTrackLayout(RangeLocation[] ranges)

Method Detail

### setSequence

    public void setSequence(Sequence seq)

  Specified by:
    `setSequence` in interface `TrackLayout`

### setRange

    public void setRange(RangeLocation loc)

  Specified by:
    `setRange` in interface `TrackLayout`

### setWrap

    public void setWrap(int wrap)

  Specified by:
    `setWrap` in interface `TrackLayout`

### getWrap

    public int getWrap()

  Specified by:
    `getWrap` in interface `TrackLayout`

### getRanges

    public RangeLocation[] getRanges()

  Specified by:
    `getRanges` in interface `TrackLayout`

### getWrapIncrement

    public int getWrapIncrement()

  Specified by:
    `getWrapIncrement` in interface `TrackLayout`

### setWrapIncrement

    public void setWrapIncrement(int inc)

  Specified by:
    `setWrapIncrement` in interface `TrackLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD